package com.f1rq.lifemap.screens

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.automirrored.outlined.List
import androidx.compose.material.icons.filled.MailOutline
import androidx.compose.material.icons.filled.Notifications
import androidx.compose.material.icons.outlined.Email
import androidx.compose.material.icons.outlined.Notifications
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp
import androidx.navigation.NavController
import com.f1rq.lifemap.components.SettingsLabel
import com.f1rq.lifemap.ui.theme.MainTextColor
import com.f1rq.lifemap.R.drawable.contact_icon
import com.f1rq.lifemap.R.drawable.feedback_icon

@Composable
fun SettingsScreen(navController: NavController, modifier: Modifier = Modifier) {
    Box(
        modifier = Modifier
            .fillMaxSize()
    ) {
        Column (
            verticalArrangement = Arrangement.spacedBy(4.dp),
        ) {
            Text(
                text = "Settings",
                style = MaterialTheme.typography.titleMedium,
                fontSize = MaterialTheme.typography.titleLarge.fontSize,
                fontFamily = MaterialTheme.typography.titleLarge.fontFamily,
                color = MainTextColor,
                modifier = Modifier
                    .padding(
                        top = 24.dp,
                        start = 24.dp
                    ),
            )
            SettingsLabel(
                text = "Notifications",
                iconResource = Icons.Outlined.Notifications,
                desc = "Notifications",
                modifier = Modifier
                    .padding(
                        horizontal = 16.dp
                    ),
                onClick = { navController.navigate("settings_notifications") }
            )

            SettingsLabel(
                text = "Contact",
                iconResource = Icons.Outlined.Email,
                desc = "Contact us",
                modifier = Modifier
                    .padding(
                        horizontal = 16.dp
                    )
            )

            SettingsLabel(
                text = "Report a bug",
                iconResource = Icons.Outlined.Email,
                desc = "Report a bug",
                modifier = Modifier
                    .padding(
                        horizontal = 16.dp
                    )
            )
        }
    }
}